Subject: [Detnet] Benjamin Kaduk's No Objection on draft-ietf-detnet-ip-over-tsn-06: (with COMMENT)

From: Benjamin Kaduk via Datatracker <[email-masked]>
Date: Thu, 18 Feb 2021 00:43:17 -0800

Benjamin Kaduk has entered the following ballot position for
draft-ietf-detnet-ip-over-tsn-06: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-ip-over-tsn/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Roman's comment is a good one.

Section 1

                         As described in [RFC8939] no DetNet specific
   headers are added to support DetNet IP flows, only the forwarding
   sub-layer functions are supported inside the DetNet domain.  [...]

nit: I suggest "so only the forwarding sub-layer functions can be
supported inside the DetNet domain".

Section 4.2

   A TSN-aware IP (DetNet) node implementations must support the Stream

nit: singular/plural mismatch "A TSN-aware IP"/"implementations"

Section 4.4

   Implementations of this document shall use management and control
   information to map a DetNet flow to a TSN Stream.  N:1 mapping
   (aggregating DetNet flows in a single TSN Stream) shall be supported.

I note that in draft-ietf-detnet-tsn-vpn-over-mpls this was a normative
"SHALL be supported" (which was itself the strongest criterion I could
find for that document being standards-track).  Is there a simple
description for what's different between these documents?

Section 9.2

I agree with the other ADs that (most of?) the IEEE references should be
classified as normative.

---

From: Balázs Varga A <[email-masked]>
Date: Thu, 18 Feb 2021 10:50:09 +0000

Hi Benjamin,

Many thanks for your review. See my answers inline.

Thanks
Bala'zs

-----Original Message-----
From: Benjamin Kaduk via Datatracker <[email-masked]> 
Sent: Thursday, February 18, 2021 9:43 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Lou Berger <[email-masked]>; [email-masked]
Subject: Benjamin Kaduk's No Objection on draft-ietf-detnet-ip-over-tsn-06: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Section 1

nit: I suggest "so only the forwarding sub-layer functions can be supported inside the DetNet domain".

<Bala'zs> Thanks, I will fix this.

Section 4.2

<Bala'zs> Thanks, I will fix this.

Section 4.4

I note that in draft-ietf-detnet-tsn-vpn-over-mpls this was a normative "SHALL be supported" (which was itself the strongest criterion I could find for that document being standards-track).  Is there a simple description for what's different between these documents?

<Bala'zs> The major difference of these documents is the network scenario they focus on. IP-over-TSN and MPLS-over-TSN describes the scenario when DetNet nodes are interconnected by a TSN sub-network. These documents are on informational track and contains no conformance language. Whereas TSN-over-MPLS describes how TSN domains can be interconnected by a DetNet MPLS network and it is on standard track with conformance language.

Section 9.2

I agree with the other ADs that (most of?) the IEEE references should be classified as normative.

<Bala'zs> OK. This will be updated.